Introduction

Application

DriveManager V3.x is suitable for all c-line Drives from Lust Antriebstechnik. This PC program offers you a user-friendly way of setting parameters for the Lust drives, commissioning them into operation, controlling them directly, or scanning status values from the connected unit. The PC adapts automatically to all c-line Drives units.


Supply package

The DriveManager 3.x package includes a CD-ROM and the licence key.

The CD-ROM holds all the program files, the motor databases for the Lust servomotor series and the latest manuals to the Lust unit series in PDF format.


System requirements

Hardware requirements:
  • PC with Intel® Pentium® or AMD processor
  • min. 80 MB available memory capacity
  • min. 32 MB RAM
  • CD-ROM drive
  • RS232 serial port or USB - RS232 converter*
* Requirements: Baud rate <115 200 Baud, USB2.0 full-speed compatible, drivers for
Windows 98/ME/2000/XP
Recommended: US232B from FTDI (functionality dependent on unit)


Operating system:
  • Microsoft Windows 95/98/ME or Windows NT 4.0/2000/XP


Licence conditions

www.lust-tec.de, info@lust-tec.de


Installation

www.lust-tec.de, info@lust-tec.de


Installation of DriveManager

When the CD-ROM is inserted the installation starts automatically. If it does not, double-click on the SETUP.EXE file on the CD-ROM menu to launch the installation process.
A pop-up from which you can select the DriveManager browser language appears. Select the language you want. The DriveManager browser launches.

Click "Install" and then select the relevant DriveManager version.


Uninstalling an old DriveManager version

If an old version of the DriveManager is already installed, a dialog box opens up in which you can uninstall it. Run the InstallShield Wizard to uninstall the old version.


Installing the new DriveManager

A dialog box automatically opens up in which you can select the DriveManager language. The InstallShield Wizard guides you through the installation.

During installation you can choose whether all the users of your PC are able to access the DriveManager, or only you yourself.

You can also choose between three setup types:

Then click on the "Next" button.

In the next window of the InstallShield Wizard you specify how the DriveManager is displayed on the Windows Start menu. Click on "Next" to start the installation (this may take a few minutes).

Next enter the number of the serial port on your PC via which you want to connect to the Lust drive unit. This usually means choosing a port from COM1 to COM4.
If your computer does not have an RS232 port, the Lust drive unit can be connected by way of a USB - RS232 adapter (see "System requirements").

Confirm your input to finish the installation process.


Installing the motor database

All Lust servomotors, with their electrical properties, are entered in the motor databases. You will find them in the DriveManager browser on the "Motor data" menu. From that folder you can launch the setup program directly to install the database.


Connecting a unit to a PC

Connect the Lust-drive controller by way of a standard commercially available PC cable (D-Sub 9-pin) to the RS232 port on your PC.
Use a USB - RS232 adapter as necessary, if your PC does not have an RS232 port (see "System requirements").


The DriveManager

Starting the DriveManager

With unit connected - online mode

Connect the Lust drive controller as detailed in section "Connecting a unit to a PC" to the PC and switch the drive controller on. Start the DriveManager from the Windows Start button or via the desktop icon.
In the factory default setting the DriveManager automatically searches for a connected unit. If it does not find one, you can make the connection to the drive controller manually.

For precise details of the commissioning procedure for the respective drive controllers refer to the relevant operation manuals.


Without unit connected - offline mode

If the DriveManager is started with no unit connected to it, the following window appears in the basic setup:

Click "OK" and use one of the existing data sets. Action

:

The "samples" folder contains data sets for various sample units. Select the folder for the series you want. Double-click on a data set to open a function screen in which the sample unit settings can be changed.


Program window

The DriveManager program window in online mode consists of the function screen, the menu bar and quick-access toolbar, and the status and actual value indicators.


Function screen

From this screen you can make all the settings for the active unit or for a data set. Access rights to the various functions depend on your user access level (see "Selecting user level").
For more information on the individual setting options refer to the relevant operation manuals to the c-line Drives units.


Quick-access toolbar

The quick-access toolbar shown below corresponds to the basic setup of the DriveManager. It enables all the key functions to be launched by a single mouse-click.
You can customize the layout of the quick-access toolbar by clicking on the individual icons and dragging them where you want them.

Online
Offline
Working with files

Open data set
x
x

Print data set
x
x

Open digital scope image
x
x

Compare device settings
x
x
Actions with active device

Change settings of active device
x

Print device setup
x

Start digital scope
x

Control drive
x
Communication

Connect to device
x
x

Bus iniialization (change setting)
x
x

Disconnect from device
x
Data set operations

Save device setup to file
x

Transfer device setup from file to device
x
Unit list

Active device
x
User level

Chosse user level
x
x


Status and actual value indicator

The status and actual value indicator is only visible in online mode. On the left-hand side of the program window the actual value indicator shows the latest speed, position and current of the drive controller, while the status indicator shows the operating status of the unit. On the right-hand side of the program window the input and output assignments are displayed. Click the "IO" or "Fct" button as appropriate to toggle between the input and output assignment view and the input/output names.


Functions

Connecting and disconnecting

If there is no connection to a linked drive controller, it can be made as follows:

To cut the connection to the linked units, or to a single unit:

When the DriveManager is started, in its basic setup it automatically connects to the linked unit. If it does not, check the following settings in the menu „Extras\Options":

Also check the connection between your PC and the drive controller.
If no connection is made with a USB-RS232 adapter, replace it and re-establish the link.

Then reconnect.


Selecting user level

To set the user level:

At the six levels various access rights to the parameter screens are assigned. At level 1 (viewer) the data can only be viewed. Access rights are progressively increased up to user level 4 (administrator), at which full access privileges are assigned. Levels 5 and 6 are assigned to Lust service and development engineers. Select your appropriate DriveManager user level.


Password for user levels

Passwords can be assigned for user levels 2-4 and for the control function/manual mode. To do so, click "Passwords" in the function screen and assign a number combination to each user level. When you save your settings the password prompt is active.


Setting up the drive controller

Changing settings

From the function screen you can make all the settings for the active unit. Access rights to the various functions depend on your user access level (see "Selecting user level").
For more information on the individual setting options refer to the relevant operation manuals to the c-line Drives units.


Saving settings

Any changes you make on the function screen are written directly to the unit when you click "Apply" or "OK". To save the changes permanently to the unit, click "Save settings in device".
To save the data of the active unit to a file:


Loading settings into the unit

To load an existing data set into the active drive controller:


Comparing settings with data set/factory setting

You can compare the current unit setup with an existing data set or with the factory default setting. Action:

Select the comparison reference file. Under "Options" you can select the parameters and the output method for the comparison data. When you click "OK" the DriveManager generates a list of all differences between the two data sets.


Printing settings

To print the current unit setup (parameter list):


Printing a parameter list

The print format settings signify:

  • Standard = All parameters are printed in a plain-text list.
  • Programmer = All parameters are printed in a list also containing programming information (e.g. hex value, data type, memory type etc.).
  • User defined = By way of the "Formatting" option specific parameters and subject areas can be specified for printing.


Data set

You can open and edit a data set in offline mode or in parallel with a linked drive controller. The data set can be managed as detailed in section "Setting up the drive controller":
You can edit it from the function screen and then save your settings.


Compare data sets

You can also compare two data sets.


Printing a data set

To print the data set settings (parameter list):


Printing a parameter list

The print format settings signify:

  • Programmer = All parameters are printed in a list also containing programming information (e.g. hex value, data type, memory type etc.).
  • User defined = By way of the "Formatting" option specific parameters and subject areas can be specified for printing.


Controlling the drive controller

You can control the linked drive controller directly using the DriveManager. For this the hardware enable (ENPO) must have been activated by way of the drive unit's control terminal (on units with Safe Standstill, first execute Safe Standstill and then activate ENPO). Action:

  • Select the control mode.
  • In the "Reference" field enter the rotating field frequency and revolutions per minute.
  • Click on the "Start" button to start up your drive.
  • From the bar graph "Actual value amount" you can observe this process.
  • Click on the "Stop" button to brake the drive down to speed 0 and disable the power stage.


Scope function

The digital scope records the time characteristics of control variables. This is useful when commissioning controlled systems (step response) or to detect errors.

The digital scope has four channels, to which you can assign the desired measurement variables.

On the "Trigger" tab you specify the event which will trigger recording. The "Pretrigger" function begins recording before the actual trigger point, e.g. 10 % referred to the recording duration. The "Trigger manually" button triggers the recording event.

On the "Time" tab with the

  • Recording window (duration) function you can specify the desired duration of recording (for events covering a lengthy period of time), or with the
  • Time per sampling period function you can specify the time cycle in which the variables are to be measured (suitable for very fast signal changes).

On the "Record collection" tab you select whether you want to make a single recording or a series of recordings.

On the "Options" tab you select the mode of representation of the recording:


Internal autoscaling function

The "Internal autoscaling function" generates a plot window. The measured values of a single measurement are plotted on a graph, which can be saved and printed.


External Scope Wizard

The "External Scope Wizard" opens a new window in which you can compare and monitor multiple recordings

.
You can reduce and enlarge the graph views as you want using the "Zoom" tools. With the "Measure" tool you can set two measuring points (toggling between them using the Tab key or right click), The Scope Wizard displays the exact values of the measuring points, and calculates the difference between them.
You can assign the axes of the graph as you want by double-clicking on the relevant coloured box of the channel. The axis scaling adapts automatically to the channel.
You can save the graph view as a reference file ("Customize \Set current file as default file") and call it up later to compare it with other measurements.
You can save and print the Scope Wizard file.


Starting recording
    1. Make settings in "Digital Scope" dialog box
    2. Click "Aufnahme starten [Start scope]" button
    3. Status is indicated at bottom of Digital Scope dialog box


Saving or printing a recording

From the menu choose "File\save" or "File\Save as" to save the result of your recording.

From the menu choose "File\Print" to print the recording result.


Installing unit software

The unit software (firmware) can be installed into the drive controllers by way of the DriveManager. You will find the latest firmware on the Lust website ( www.lust-tec.de) under "Service>Downloads".


Downloading firmware from the website

You download the firmware in a zipped file from the Lust website to your PC with installed DriveManager. Unzip the file using a standard file compression utility such as WinZip.

Depending on the unit, the zipped package will contain a range of different files. The firmware file has the extension .HEX. The first digit of the file name signifies the unit family, the next three the software version.

Table: Overview of unit families
Unit family
Unit type
Version
1
CDE3000
The version number is increased by one each time functions and parameters are modified or extended.
2
CDF3000
3
CDA3000
4
CDD3000
5
CDB3000

Save the HEX file to the relevant unit folder under "userdata\samples". If an MCW file exists, it must be saved to the "firmdata" folder. Save all the other files, such as .PIT or .TXT files, to the folder "language\001" (001 for English).


Installing firmware in the drive controller

*Up to DriveManager version V3.45, the firmware can be installed in the drive controller by users assigned any user level.

Connect the drive controller to your PC with installed DriveManager (see "Connecting a unit to a PC"). To open the required HEX file:

The firmware is then installed in the drive controller. This may take a few minutes.